<div class="col s12">
  <md-toolbar color="primary" class="background-color"  style="margin-top:12px;"><i class="fa fa-user-secret" aria-hidden="true"></i> &nbsp; Plan Detail
   <div class="input-field col s4 pull-right">
      <i class="material-icons prefix" style="margin-top:10px;">search</i>
      <input type="text" class="validate" #sv (keyup)="0" >
      <!--<label for="icon_prefix">Search here by agent name</label>-->
    </div>
  </md-toolbar>
    <md-card >
      <div class="row">
        <div class="col-xs-12 mainnnn">
           <div class="col-xs-12 maindetail">
            <div class="col-sm-2 col-xs-2 headbord"> <strong> <i class="fa fa-user" aria-hidden="true"></i> Plan Type </strong></div>
            <div class=" col-sm-3 col-xs-3 headbord"><strong> <i class="fa fa-envelope" aria-hidden="true"></i> Plan Name</strong></div>
            <div class="col-sm-3 col-xs-3  headbord"><strong><i class="fa fa-hand-lizard-o" aria-hidden="true"></i> Edit</strong></div>
            <div class="col-sm-2  col-xs-2 headbord" ><strong> <i class="fa fa-eye" aria-hidden="true"></i> View Rules</strong></div>
            <div class="col-sm-2  col-xs-2 headbord" ><strong> <i class="fa fa-eye" aria-hidden="true"></i> Default PLans </strong></div>
          </div>    

          
  

          <div class="col-xs-12 maindetail" *ngFor="let plan of plans">
            <div class="row" style="margin-bottom:0px" > 
              <div class="col-sm-2 col-xs-2 detailll">{{plan.plan_type}}</div>
              <div class=" col-sm-3 col-xs-3 detailll">{{plan.name}}</div>
              <div class="col-sm-3 col-xs-3 preparedd">
                <button class="btn btn-xs" data-toggle="collapse" attr.data-target="#{{plan.id}}" (click)="editPlan(plan.id)"> <span class="items"><i class="fa fa-thumb-tack" aria-hidden="true"></i> Edit</span>
                </button>
              </div>    
              <div class="col-sm-2 col-xs-2 vieww">
                <button type="button" class="btn btn-info btn-sm" data-toggle="collapse" attr.data-target="#{{plan.name.split(' ').join('')}}" (click) = "getRules(plan.id)"> <i class="fa fa-eye" aria-hidden="true"></i> View
                </button>
              </div>
              <div class="col-sm-1 col-xs-2 vieww">
  <md-radio-button value="2" color="primary"  [checked]="plan.default_plan === true" name="default" (change)="makeDefault(plan.id)">Make Default</md-radio-button>
                
              </div>

            </div>
            <div class="col-xs-12 colaps">
              <div attr.id="{{plan.id}}" class="collapse text-justify">
                <div class="col s12"> 
                <form #form="ngForm" (ngSubmit)="updatePlan(form)">
                  <input type="hidden" name="id" name="id" *ngIf="planDetail[plan.id]" [(ngModel)]="planDetail[plan.id].id">

              <div class="form-group col s4" >
                  <label for="sel1">Plan Type:</label>
                    <select class="form-control" id="plan_type" *ngIf="planDetail[plan.id]" name="plan_type" [(ngModel)]="planDetail[plan.id].plan_type" required>
                      <option value ="task">Task Rate</option>
                        <option value="hourly">Hourly Rate</option>
                          
                     </select>
              </div>

                  <!--<div class="input-field col s4">
                    <input id="plan_type" type="text" class="validate" name="plan_type" *ngIf="planDetail[plan.id]" [(ngModel)]="planDetail[plan.id].plan_type" >
                    <label class="active" for="plan_type">Plan Type</label>
                  </div>-->
                  <div class="input-field col s4 ">
                    <input id="name" type="text" class="validate" 
                    name="name" *ngIf="planDetail[plan.id]" [(ngModel)]="planDetail[plan.id].name">
                    <label class="active" for="name">Plan Name</label>
                  </div>
                  <div class="col s2  center" >
                    <button class="waves-effect waves-light btn " style="margin-top:20px"><i class="fa fa-wrench" aria-hidden="true"></i> Update </button>
                  </div>
                   
                </form> 
                </div>
              </div>
            </div>

            <div class="col-xs-12 colaps">
              <div attr.id="{{plan.name.split(' ').join('')}}" class="collapse text-justify">
                <div class="col-xs-12 maindetail">
                  <div class="col-sm-2 col-xs-2 headbord"> <strong> <i class="fa fa-user-o" aria-hidden="true"></i> Rule Name</strong> </div>
                  <div class=" col-sm-3 col-xs-3 headbord"> <strong><i class="fa fa-user-circle-o" aria-hidden="true"></i> Rule Type</strong></div>
                  <div class="col-sm-2 col-xs-2 headbord"> <strong> <i class="fa fa-file-text" aria-hidden="true"></i> Rule Description </strong> </div>
                  <div class="col-sm-3 col-xs-3 headbord">
                    <strong><i class="fa fa-file-text-o" aria-hidden="true"></i>  Amount </strong>
                  </div>
                  <div class="col-sm-2 col-xs-2 headbord">
                    <strong> <i class="fa fa-tags" aria-hidden="true"></i> Update </strong>
                  </div>
                </div>

                <div class="col-xs-12 maindetail" style="padding-top:10px" *ngFor="let rule of rules[plan.id]">
                    <div class="col-sm-2 col-xs-2 detailll">{{rule.rule_no}}</div>
                    <div class="col-sm-3 col-xs-3 detailll"> {{rule.rule_type}}</div>
                    <div class="col-sm-2 col-xs-2 detailll"> {{rule.rule_description}}</div>
                    <form #form="ngForm" (ngSubmit)="updateRuleAmount(form,rule.rule_type)">
                    <div class="col-sm-3 col-xs-3 detailll">
                      <div class="input-field " style="margin-top:-10px" >
                      <input id="rule_id" type="hidden" class="validate" name="id" [(ngModel)] = "rule.id">
                        <input id="name" type="text" class="validate" name="amount" [(ngModel)] = "rule.amount">
                      </div>
                    </div>
                       <div class="col-sm-2 col-xs-2 detailll">
                            <button class="waves-effect waves-light btn" type="submit"> <i class="fa fa-wrench" aria-hidden="true"></i> Update</button>
                      </div>
                      </form>
                  </div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </md-card>
</div>




